%%% project: morgen - Model Order Reduction for Gas and Energy Networks
%%% version: 0.9 (2020-11-24)
%%% authors: C. Himpe (0000-0003-2194-6754), S. Grundel (0000-0002-0209-6566)
%%% license: BSD 2-Clause (opensource.org/licenses/BSD-2-clause)
%%% summary: Pipeline from Cha09

for s = {'imex1','imex2'}
    for m = {'ode_mid','ode_end'}
%
        morgen('Cha09','training',m{:},s{:},{ ...
                                             'pod_r', ...
                                             'eds_ro', ...
                                             'eds_wx', ...
                                             'eds_wz', ...
                                             'bpod_ro', ...
                                             'ebt_ro', ...
                                             'ebt_wx', ...
                                             'ebt_wz', ...
                                             'ebg_ro', ...
                                             'ebg_wx', ...
                                             'ebg_wz', ...
                                             'dmd_r', ...
                                            },'dt=20','ord=150','notest');
%
        morgen('Cha09','period',m{:},s{:},{ ...
                                           ['Cha09--',m{:},'--',s{:},'--pod_r.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--eds_ro.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--eds_wx.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--eds_wz.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--bpod_ro.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--ebt_ro.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--ebt_wx.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--ebt_wz.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--ebg_ro.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--ebg_wx.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--ebg_wz.rom'], ...
                                           ['Cha09--',m{:},'--',s{:},'--dmd_r.rom'], ...
                                          },'dt=20','ord=150');
%
    end%for
end%for

morgen('Cha09','period','ode_end','generic',{},'dt=20');

